<template>
    <Head title="Ubah Password"/>
    <StudentLayout>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">
                    Ubah Password
                </h4>
                <form @submit.prevent="submit" class="mt-4">
                    <BaseInput
                        v-model="form.old_password"
                        name="old_password"
                        type="password"
                        label="Password Lama"
                        placeholder="Masukkan Password Lama"
                        :error-message="form.errors.old_password"
                        />
                    <BaseInput
                        v-model="form.new_password"
                        name="new_password"
                        type="password"
                        label="Password Baru"
                        placeholder="Masukkan Password Baru"
                        :error-message="form.errors.new_password"
                        />
                    <BaseInput
                        v-model="form.new_password_confirmation"
                        name="new_password_confirmation"
                        type="password"
                        label="Konfirmasi Password Baru"
                        placeholder="Masukkan Konfirmasi Password Baru"
                        :error-message="form.errors.new_password_confirmation"
                        />
                    <div class="text-end">
                        <BaseButton
                            class="btn-primary mt-4"
                            type="submit"
                        >
                            Ubah Password
                        </BaseButton>
                    </div>
                </form>
            </div>
        </div>
    </StudentLayout>
</template>
<script setup>
import StudentLayout from "@/Layouts/StudentLayout.vue";
import {Head, useForm} from '@inertiajs/vue3';
import BaseInput from "@/Components/Forms/BaseInput.vue";
import BaseButton from "@/Components/Button/BaseButton.vue";
import {toast} from "vue3-toastify";
const form = useForm({
    old_password: '',
    new_password: '',
    new_password_confirmation: ''
});

const submit = () => {
    form.post('/user/change-password', {
        preserveScroll: true,
        onSuccess: () => {
            form.reset()
        }
    });
}
</script>
